package context

import (
	stdContext "context"
	"net/http"
)

type Context struct {
	RespWriter http.ResponseWriter
	Req        *http.Request
}

func (c *Context) Context() stdContext.Context {
	if c.Req != nil {
		return c.Req.Context()
	}
	return stdContext.Background()
}

func (c *Context) Response() *http.Response {
	if c.Req != nil {
		return c.Req.Response
	}
	return nil
}
